How to activate AfterPay

Note: Before applying for the payment method AfterPay, check with your account manager at MultiSafepay if you are eligible for the payment method.

Requirements

  • Magento 1 > available from version 2.4.1. Released on the 25th of May 2018

  • Magento 2 > available from version 1.5.0. Released on the 25th of May 2018

  • WooCommerce > available from version 3.1.0. Released on the 15th of June 2018

  • OpenCart > available from version 2.2.0. Released on the 15th of June 2018

  • PrestaShop 1.7 > available from version 4.2.0. Released on the 25th of May 2018

  • CS-Cart > available from version 1.3.0. Released on the 8th of October 2018

To apply for the payment method AfterPay, go to AfterPay.nl

For existing clients of AfterPay, contact [email protected] to connect your AfterPay account with your MultiSafepay account.

Note: Currently MultiSafepay offers AfterPay in the Netherlands only.